---
title: "Update Paylink"
slug: "update-paylink"
updated: 2026-05-19T12:57:18Z
published: 2026-05-19T12:57:18Z
canonical: "api-docs.blinkpayment.co.uk/update-paylink"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.
# Update Paylink
Patch/api/paylink/v1/paylinks/{paylink_id}
This endpoint updates data associated with the paylink before the link is used.
**Request Body**
- `email`(string, optional): Email address
- `mobile_number`(integer, optional): Customer mobile number
- `status` (string, optional): Paylink status - changing status to “Cancelled” will close the paylink.
- `expiry_date` (string, optional): date to set the paylink to expire e.g. "15-09-2025"
SecurityHTTPType bearer
Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c
Path parameterspaylink_idstringRequired
Body parametersobject Example{
"email": "testdemo@yopmail.com"
}
Responses200
Successful response